<template>

  <Head>
    <title>Permissions - GreenK Cashier</title>
  </Head>
  <main class="c-main">
    <div class="container-fluid">
      <div class="fade-in">
        <div class="row">
          <div class="col-md-12">
            <div class="card border-0 rounded-3 shadow border-top-purple">
              <div class="card-header bg-primary text-white">
                <span class="font-weight-bold"><i class="fa fa-key mr-2"></i> PERMISSIONS</span>
              </div>
              <div class="card-body">
                <!-- search form -->
                <form @submit.prevent="handleSearch">
                  <div class="input-group mb-3">
                    <input type="text" class="form-control" v-model="search" placeholder="Search permission...">
                    <button class="btn btn-primary input-group-text" type="submit">
                      <i class="fa fa-search me-2"></i>
                    </button>
                  </div>
                </form>
                <!-- table of permissions -->
                <div class="table-responsive">
                  <table class="table table-hover">
                    <thead class="bg-primary">
                      <tr>
                        <th scope="col" style="width: 75px" class="text-center">#</th>
                        <th scope="col">Permission Name</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr v-for="(permission, index) in permissions.data" :key="index">
                        <td class="fw-bold text-center">
                          {{ ++index + (permissions.current_page - 1) *
                          permissions.per_page }}
                        </td>
                        <td>
                          {{ permission.name }}
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
                <!-- pagination -->
                <Pagination :links="permissions.links" align="end" />
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
</template>

<script>
// import layout
import LayoutApp from '../../../Layouts/App.vue'

// import component pagination
import Pagination from '../../../Components/Pagination.vue'

// import Head and Link from inertia
import { Head, Link } from '@inertiajs/vue3'

// import ref from vue
import { ref } from 'vue'

// import inertia adapter
import { router } from '@inertiajs/vue3'

export default {
  // layout
  layout: LayoutApp,

  // register components
  components: {
    Head,
    Link,
    Pagination
  },

  // props
  props: {
    permissions: Object,
  },

  setup() {
    // define state search
    const search = ref('' || (new URL(document.location)).searchParams.get('q'));

    // define method search
    const handleSearch = () => {
      router.get('/apps/permissions', {
        // send params 'q' with value from stae 'search'
        q: search.value,
      })
    }
    // return 
    return {
      search,
      handleSearch
    }
  }

}
</script>